Subject: Re: bug#29889: 27.0.50; Slow visual selection

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Apr 2022 15:25:27 +0200

Sujith <[email-masked]> writes:

> Visual selection of text becomes very slow and hogs the
> CPU in some cases.
>
> For example, open the file lisp/progmodes/vhdl-mode.el in
> the emacs codebase. And then, to reproduce this issue:
>
> * Scroll patiently to the bottom using C-v.
>   (this is essential, jumping to the bottom doesn't seem to bring
>   up this issue).
> * Set mark with C-SPC.
> * Go to the beginning with M-<.
> * Now move the cursor up and down.
>
> The selection is jerky and CPU usage is very high.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce the issue in recent Emacs versions (like 28.1).
Are you still seeing the problem?

Skimming the rest of the thread, the discussion was about
select-active-regions and whether to have it to `only' or t.  It's still
t (which, if I understand correctly, was the problematic value).  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no